dcmp2pgm(1)

NAME
dcmp2pgm - Read DICOM image and presentation state and render bitmap

SYNOPSIS

dcmp2pgm [options] dcmimage_in [bitmap_out]

DESCRIPTION

The dcmp2pgm utility renders a monochrome DICOM image under the control of a grayscale softcopy presentation state object into a monochrome bitmap with 8 bits/pixel. The bitmap is stored either as 'Portable Gray Map' (PGM) or as a DICOM secondary capture image object. If no presentation state is read from file, a default presentation state is created. The utility allows to read a configuration file of the Softcopy Presentation State Viewer upon startup. In this case, the settings from the configuration file affecting the rendering of the presentation state are used, e.g. a correction of the gray scale range according to Barten's model (DICOM part 14) can be performed if the characteristic curve of the display system is available and defined in the configuration file.

PARAMETERS

dcmimage_in  input DICOM image
bitmap_out   output DICOM image or PGM bitmap

OPTIONS

  general options

  -h  --help
        print this help text and exit
      --version
        print version information and exit
  -v  --verbose
        verbose mode, dump presentation state contents
  -d  --debug
        debug mode, print debug information

  processing options

  -p  --pstate  [f]ilename: string
        process using presentation state file
  -c  --config  [f]ilename: string
        process using settings from configuration file
  -f  --frame  [f]rame: integer
        process using image frame f (default: 1)

  output format

  -D  --pgm
        save image as PGM (default)
  +D  --dicom
        save image as DICOM secondary capture

  output options

  +S  --save-pstate  [f]ilename: string
        save presentation state to file

COMMAND LINE

All command line tools use the following notation for parameters: square brackets enclose optional values (0-1), three trailing dots indicate that multiple values are allowed (1-n), a combination of both means 0 to n values.

Command line options are distinguished from parameters by a leading '+' or '-' sign, respectively. Usually, order and position of command line options are arbitrary (i.e. they can appear anywhere). However, if options are mutually exclusive the rightmost appearance is used. This behaviour conforms to the standard evaluation rules of common Unix shells.

In addition, one or more command files can be specified using an '@' sign as a prefix to the filename (e.g. @command.txt). Such a command argument is replaced by the content of the corresponding text file (multiple whitespaces are treated as a single separator) prior to any further evaluation. Please note that a command file cannot contain another command file. This simple but effective approach allows to summarize common combinations of options/parameters and avoids longish and confusing command lines (an example is provided in file share/data/dumppat.txt).

ENVIRONMENT

The dcmp2pgm utility will attempt to load DICOM data dictionaries specified in the DCMDICTPATH environment variable. By default, i.e. if the DCMDICTPATH environment variable is not set, the file <PREFIX>/lib/dicom.dic will be loaded unless the dictionary is built into the application (default for Windows).

The default behaviour should be preferred and the DCMDICTPATH environment variable only used when alternative data dictionaries are required. The DCMDICTPATH environment variable has the same format as the Unix shell PATH variable in that a colon (':') separates entries. The data dictionary code will attempt to load each file specified in the DCMDICTPATH environment variable. It is an error if no data dictionary can be loaded.

FILES

etc/dcmpstat.cfg - sample configuration file

COPYRIGHT

Copyright (C) 1998-2004 by Kuratorium OFFIS e.V., Escherweg 2, 26121 Oldenburg, Germany.